/*    */ package com.flir.flironesdk;
/*    */ 
/*    */ import java.io.File;
/*    */ import java.io.IOException;
/*    */ import java.util.EnumSet;
/*    */ import java.util.Set;
/*    */ 
/*    */ 
/*    */ public class Frame
/*    */ {
/*    */   private long nativeReference;
/*    */   
/*    */   static
/*    */   {
/* 15 */     System.loadLibrary("jnidevicewrapper");
/*    */   }
/*    */   
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   public void save(File file, RenderedImage.Palette previewPalette, RenderedImage.ImageType previewImageType)
/*    */     throws IOException, IllegalArgumentException
/*    */   {
/* 36 */     if (!EnumSet.of(RenderedImage.ImageType.BlendedMSXRGBA8888Image, RenderedImage.ImageType.ThermalRGBA8888Image, RenderedImage.ImageType.VisualYCbCr888Image).contains(previewImageType)) {
/* 37 */       throw new IllegalArgumentException("The image type " + previewImageType.name() + " is not allowed.");
/*    */     }
/* 39 */     synchronized (FrameProcessor.class) {
/* 40 */       writeFrame(file.getAbsolutePath(), previewPalette.ordinal(), previewImageType.getValue());
/*    */     }
/*    */   }
/*    */   
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   public void save(File file, FrameProcessor frameProcessor)
/*    */     throws IOException
/*    */   {
/* 55 */     synchronized (FrameProcessor.class) {
/* 56 */       RenderedImage.ImageType imageType = RenderedImage.ImageType.BlendedMSXRGBA8888Image;
/* 57 */       if (!frameProcessor.getImageTypes().contains(imageType)) {
/* 58 */         if (frameProcessor.getImageTypes().contains(RenderedImage.ImageType.ThermalRGBA8888Image)) {
/* 59 */           imageType = RenderedImage.ImageType.ThermalRGBA8888Image;
/* 60 */         } else if (frameProcessor.getImageTypes().contains(RenderedImage.ImageType.VisualYCbCr888Image)) {
/* 61 */           imageType = RenderedImage.ImageType.VisualYCbCr888Image;
/*    */         }
/*    */       }
/* 64 */       writeFrame(file.getAbsolutePath(), frameProcessor.getImagePalette().ordinal(), imageType.getValue());
/*    */     }
/*    */   }
/*    */   
/*    */ 
/*    */ 
/*    */   protected void finalize()
/*    */     throws Throwable
/*    */   {
/* 73 */     super.finalize();
/* 74 */     nativeFinalize();
/*    */   }
/*    */   
/*    */   private native int writeFrame(String paramString, int paramInt, byte paramByte);
/*    */   
/*    */   private native int readFrame(String paramString);
/*    */   
/*    */   private native void nativeFinalize();
/*    */ }


/* Location:              D:\Android\FLIROneSDK-Android-1_0_2\FLIROneSDKBundle\FLIRONEExampleApplication\app\libs\flironesdk\jars\classes.jar!\com\flir\flironesdk\Frame.class
 * Java compiler version: 7 (51.0)
 * JD-Core Version:       0.7.1
 */